Local Users
All operations require authentication.
Retrieve all IAM users of this accountProduction
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ identity/ user \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Create a new IAM userProduction
Request body (required)
User's description
User's email
User's group
User's login
User's password
Type of user to create
ROOTSERVICEUSERResponse
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ identity/ user \
-H "authorization: Bearer $OVH_TOKEN"Get an IAM userProduction
Path parameters
User
Response
Creation date of this user
User's description
User's email
User's main group
User's groups
User's last update date
User's login suffix
User's password last update date
Current user's status
DISABLEDOKPASSWORD_CHANGE_REQUIREDType of user
ROOTSERVICEUSERIAM identity URN of the user
Example uses user = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ identity/ user/ {user} \
-H "authorization: Bearer $OVH_TOKEN"{ "creation": "2024-01-01T12:00:00Z", "description": "string", "email": "string", "group": "string", "groups": [ "string" ], "lastUpdate": "2024-01-01T12:00:00Z", "login": "string", "passwordLastUpdate": "2024-01-01T12:00:00Z", "status": "DISABLED", "type": "ROOT", "urn": "string"}
Alter an IAM userProduction
Path parameters
User
Request body (required)
Creation date of this user
User's description
User's email
User's main group
User's groups
User's last update date
User's login suffix
User's password last update date
Current user's status
DISABLEDOKPASSWORD_CHANGE_REQUIREDType of user
ROOTSERVICEUSERIAM identity URN of the user
Response
Example uses user = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ identity/ user/ {user} \
-H "authorization: Bearer $OVH_TOKEN"Delete an IAM userProduction
Path parameters
User
Response
Example uses user = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ identity/ user/ {user} \
-H "authorization: Bearer $OVH_TOKEN"Disable this userProduction
Path parameters
User
Response
Example uses user = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ identity/ user/ {user}/ disable \
-H "authorization: Bearer $OVH_TOKEN"Enable this userProduction
Path parameters
User
Response
Example uses user = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ identity/ user/ {user}/ enable \
-H "authorization: Bearer $OVH_TOKEN"